Bug 1829723 - User workload monitoring alerts fire out of the box
Summary: User workload monitoring alerts fire out of the box
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Damien Grisonnet
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-30 07:47 UTC by Lili Cosic
Modified: 2021-02-24 15:13 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:12:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 1018 0 None closed Bug 1829723: Update and pin jsonnet dependencies for release 4.7 2021-02-03 13:17:58 UTC
Github prometheus prometheus pull 8054 0 None closed documentation/prometheus-mixin: improve PrometheusNotIngestingSamples 2021-02-03 13:18:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:13:33 UTC

Description Lili Cosic 2020-04-30 07:47:42 UTC
Description of problem:
Due to recent enabling of Prometheus own alerts for user workload prometheus some of them start firing after user workload monitoring is enabled and no samples are ingested by prometheus. 

> Prometheus openshift-user-workload-monitoring/prometheus-user-workload-0 is not ingesting samples.

Version-Release number of selected component (if applicable):
4.5 onwards


Expected results:
No alerts firing when enabling user workload monitoring.

Comment 19 Junqi Zhao 2020-12-14 04:00:27 UTC
issue is fixed
4.7.0-0.nightly-2020-12-13-202314, enabled UserWorkload, there is not PrometheusNotIngestingSamples alert
# oc -n openshift-monitoring get cm cluster-monitoring-config -oyaml
apiVersion: v1
data:
  config.yaml: |
    enableUserWorkload: true
kind: ConfigMap
metadata:
  name: cluster-monitoring-config
  namespace: openshift-monitoring

# token=`oc sa get-token prometheus-k8s -n openshift-monitoring`
# oc -n openshift-monitoring exec -c prometheus prometheus-k8s-0 -- curl -k -H "Authorization: Bearer $token" 'https://prometheus-k8s.openshift-monitoring.svc:9091/api/v1/alerts' | jq '.data.alerts[].labels | {alertname}'
{
  "alertname": "AlertmanagerReceiversNotConfigured"
}
{
  "alertname": "Watchdog"
}

Comment 23 errata-xmlrpc 2021-02-24 15:12:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.